# This spec is backported to ALTLinux p8 automatically by rpmbph script from etersoft-build-utils.
#
%define gst_api_ver 1.0

Name: clementine
Version: 1.3.1
Release: alt6.M80P.1

Summary: A music player and library organiser

Group: Sound
License: %lgpl3only
Url: https://www.clementine-player.org/

Packager: Leontiy Volodin <lvol@altlinux.org>

Source: %name-%version.tar.gz
Patch1: %name-1.3.0-alt-sqlite-fts3.patch
Patch2: %name-1.3.1-alt-disable-vk.patch
Patch3: %name-1.3.1-alt-gcc-compat.patch
Patch4: %name-1.3.1-chromaprint1.4.patch
Patch5: %name-1.3.1-alt-gcc7-header-deps.patch
Patch6: %name-1.3.1-libcryptopp-6.patch

BuildRequires(pre): rpm-build-licenses
BuildRequires: boost-devel-headers cmake gcc-c++ libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdmcp-devel libXft-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel libgio-devel libglew-devel libgpod-devel liblastfm-devel libmtp-devel libqt4-opengl libqt4-sql libqt4-webkit libqt4-xmlpatterns libtag-devel libxkbfile-devel python-module-sip qt4-designer subversion
BuildRequires: gstreamer%gst_api_ver-devel gst-plugins%gst_api_ver-devel gstreamer%gst_api_ver-utils
BuildRequires: libchromaprint-devel
BuildRequires: libcryptopp-devel
# SQLITE_DBCONFIG_ENABLE_FTS3_TOKENIZER is available since 3.12
BuildRequires: libsqlite3-devel >= 3.12
BuildRequires: libpulseaudio-devel
BuildRequires: libechonest-devel

BuildRequires: kde-common-devel libqt4-sql-sqlite libqca2-devel protobuf-compiler
# Enable Google Drive support
BuildRequires: libgoogle-sparsehash
BuildPreReq: libfftw3-devel libavcodec-devel libavformat-devel libpcre-devel
BuildPreReq: libprotobuf-devel qjson-devel libcdio-devel

# Clementine crashes without it
Requires: gst-plugins-base%gst_api_ver

%description
Clementine is a modern music player and library organiser.
It is largely a port of Amarok 1.4, with some features rewritten to take
advantage of Qt4.

%add_python_req_skip clementine

%prep
%setup
%patch1 -p1
%patch2 -p2
%patch3 -p2
%patch4 -p1
%patch5 -p2
%patch6 -p1

%build
%K4build -DSTATIC_SQLITE=on -DBUILD_WERROR=off

%install
%K4install

%files
%doc Changelog
%_bindir/clementine
%_bindir/clementine-tagreader
%_desktopdir/clementine.desktop
%_datadir/kde4/services/*
%_datadir/clementine
%_datadir/appdata/clementine.appdata.xml
%_iconsdir/hicolor/*/apps/*.png
%_iconsdir/hicolor/*/apps/*.svg

%changelog
* Thu Jun 06 2019 Leontiy Volodin <lvol@altlinux.org> 1.3.1-alt6.M80P.1
- backport to ALTLinux p8 (ALT #36131)

* Sun Nov 04 2018 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt7.1
- NMU: autorebuild with libcryptopp.so.7

* Sat Jun 09 2018 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt7
- NMU: autorebuild with libcryptopp-6.1.0

* Wed Feb 21 2018 Vladimir Didenko <cow@altlinux.org> 1.3.1-alt6
- fix build with gcc7

* Fri Jan 12 2018 Vladimir Didenko <cow@altlinux.org> 1.3.1-alt5
- rebuild with new libcdio

* Sat Dec 09 2017 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt4.1
- NMU: autorebuild with libcryptopp-5.6.5

* Sat Dec 09 2017 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt4
- apply fix build with chromaprint >= 1.4

* Wed Jun 28 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 1.3.1-alt3
- Fix build with gcc-6

* Tue Dec 27 2016 Vladimir Didenko <cow@altlinux.org> 1.3.1-alt2
- Disable vkontakte support (dropped by vk.com)

* Sat Apr 23 2016 Vladimir Didenko <cow@altlinux.org> 1.3.1-alt1
- Version 1.3.1
- Enable FTS3 at runtime (closes: #31978)

* Thu Feb 4 2016 Vladimir Didenko <cow@altlinux.org> 1.3.0-alt1.rc1
- Version 1.3rc1

* Wed Aug 5 2015 Vladimir Didenko <cow@altlinux.org> 1.2.3-alt5
- rebuilt with new libcdio

* Tue Jul 7 2015 Vladimir Didenko <cow@altlinux.org> 1.2.3-alt4
- git20150522
- build with gstreamer1.0

* Wed Jun 10 2015 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.2.3-alt3.1
- Rebuilt for gcc5 C++11 ABI.

* Thu Feb 12 2015 Vladimir Didenko <cow@altlinux.org> 1.2.3-alt3
- add gst-plugins-base to requires - clementine crashes without it

* Mon Jul 7 2014 Vladimir Didenko <cow@altlinux.org> 1.2.3-alt2
- add vkontakte support (closes: #29522)

* Mon May 19 2014 Vladimir Didenko <cow@altlinux.org> 1.2.3-alt1
- Version 1.2.3

* Mon Feb 24 2014 Vladimir Didenko <cow@altlinux.org> 1.2.2-alt1
- Version 1.2.2

* Fri Dec 13 2013 Vladimir Didenko <cow@altlinux.org> 1.2.1-alt1
- Version 1.2.1

* Wed Oct 17 2013 Vladimir Didenko <cow@altlinux.org> 1.2.0-alt1
- Version 1.2.0

* Wed Oct 16 2013 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.1.1-alt4
- Fixed build with new libav.

* Wed Apr 24 2013 Yuri N. Sedunov <aris@altlinux.org> 1.1.1-alt3
- rebuilt against libimobiledevice.so.4

* Sat Jan 12 2013 Vladimir Didenko <cow@altlinux.org> 1.1.1-alt2
- Enable Google Drive support

* Fri Dec 28 2012 Vladimir Didenko <cow@altlinux.org> 1.1.1-alt1
- Version 1.1.1

* Mon Apr 09 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.1-alt1
- Version 1.0.1

* Fri Apr 06 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.1-alt2.qa2
- Removed -Werror compiler flag
- Fixed build with new glib2

* Mon May 30 2011 Andrey Cherepanov <cas@altlinux.org> 0.7.1-alt2.qa1
- Rebuild for GNOME 3

* Thu May 05 2011 Andrey Cherepanov <cas@altlinux.org> 0.7.1-alt2
- Fix patch name

* Thu May 05 2011 Andrey Cherepanov <cas@altlinux.org> 0.7.1-alt1
- New version 0.7.1

* Thu May 05 2011 Andrey Cherepanov <cas@altlinux.org> 0.6-alt1.svn2877.qa1
- Fix build in Sisyphus (remove nvidia_glx requires)

* Sat Feb 26 2011 Pavel Maleev <rolland@altlinux.org> 0.6-alt1.svn2877
- new version (svn2877)

* Sun Nov 21 2010 Pavel Maleev <rolland@altlinux.org> 0.5-alt1.svn2253
- new version (svn2253)

* Mon Oct 25 2010 Pavel Maleev <rolland@altlinux.org> 0.5-alt1.svn2205
- new version (svn2205)

* Sun Oct 3 2010 Pavel Maleev <rolland@altlinux.org> 0.5-alt1.svn2086
- new version (svn2086)

* Tue Sep 21 2010 Pavel Maleev <rolland@altlinux.org> 0.5-alt1.svn2034
- new version (svn2034)

* Mon Aug 9 2010 Pavel Maleev <rolland@altlinux.org> 0.4-alt1.svn1664
- new version (svn1664)

* Thu Jul 15 2010 Pavel Maleev <rolland@altlinux.org> 0.4-alt1.svn1480
- new version (svn1480)

* Tue Jun 29 2010 Pavel Maleev <rolland@altlinux.org> 0.3-alt1.svn1386
- new version (svn1093)

* Wed Jun 09 2010 Pavel Maleev <rolland@altlinux.org> 0.3-alt1.svn1093
- new version (svn1093)

* Sat May 22 2010 Pavel Maleev <rolland@altlinux.org> 0.3-alt1.svn952
- new version (svn952)

* Tue Apr 13 2010 Pavel Maleev <rolland@altlinux.org> 0.2-alt1.svn673
- new version (svn673)

* Tue Apr 06 2010 Artem Zolochevskiy <azol@altlinux.ru> 0.2-alt1.svn586
- new version (svn586)

* Wed Mar 24 2010 Artem Zolochevskiy <azol@altlinux.ru> 0.2-alt1.svn479
- new version (svn479)

* Sun Mar 14 2010 Artem Zolochevskiy <azol@altlinux.ru> 0.1-alt1.svn370
- new version (svn370)
- fix previous changelog entry (changelog author)

* Sun Mar 01 2010 Artem Zolochevskiy <azol@altlinux.ru> 0.1-alt1.svn285
- initial build for ALT Linux Sisyphus (svn285)
